###################################################
### chunk number 1: 
###################################################
#line 9 "d:/Rcompile/CRANpkg/local/2.12/CADFtest/inst/doc/CADFtest.Rnw"
options(prompt = "R> ", continue="+ ", useFancyQuotes=FALSE)


###################################################
### chunk number 2: 
###################################################
#line 125 "d:/Rcompile/CRANpkg/local/2.12/CADFtest/inst/doc/CADFtest.Rnw"
data("npext", package="urca")   # load data
library("CADFtest")


###################################################
### chunk number 3: 
###################################################
#line 134 "d:/Rcompile/CRANpkg/local/2.12/CADFtest/inst/doc/CADFtest.Rnw"
ADFt <- CADFtest(npext$gnpperca, max.lag.y=3)


###################################################
### chunk number 4: 
###################################################
#line 140 "d:/Rcompile/CRANpkg/local/2.12/CADFtest/inst/doc/CADFtest.Rnw"
ADFt$p.value


###################################################
### chunk number 5: 
###################################################
#line 146 "d:/Rcompile/CRANpkg/local/2.12/CADFtest/inst/doc/CADFtest.Rnw"
CADFpvalues(ADFt$statistic, type="trend", rho2=1)


###################################################
### chunk number 6: 
###################################################
#line 154 "d:/Rcompile/CRANpkg/local/2.12/CADFtest/inst/doc/CADFtest.Rnw"
print(ADFt)


###################################################
### chunk number 7: 
###################################################
#line 162 "d:/Rcompile/CRANpkg/local/2.12/CADFtest/inst/doc/CADFtest.Rnw"
summary(ADFt)


###################################################
### chunk number 8: 
###################################################
#line 170 "d:/Rcompile/CRANpkg/local/2.12/CADFtest/inst/doc/CADFtest.Rnw"
res.ADFt <- residuals(ADFt)


###################################################
### chunk number 9: 
###################################################
#line 176 "d:/Rcompile/CRANpkg/local/2.12/CADFtest/inst/doc/CADFtest.Rnw"
plot(ADFt)


###################################################
### chunk number 10: 
###################################################
#line 182 "d:/Rcompile/CRANpkg/local/2.12/CADFtest/inst/doc/CADFtest.Rnw"
plot(ADFt)


###################################################
### chunk number 11: 
###################################################
#line 191 "d:/Rcompile/CRANpkg/local/2.12/CADFtest/inst/doc/CADFtest.Rnw"
plot(ADFt, plots=c(1,3,4))


###################################################
### chunk number 12: 
###################################################
#line 201 "d:/Rcompile/CRANpkg/local/2.12/CADFtest/inst/doc/CADFtest.Rnw"
plot(ADFt, plots=c(1,3,4))


###################################################
### chunk number 13: 
###################################################
#line 209 "d:/Rcompile/CRANpkg/local/2.12/CADFtest/inst/doc/CADFtest.Rnw"
npext$unemrate <- exp(npext$unemploy)      # compute unemployment rate
L <- ts(npext, start=1860)                 # time series of levels
D <- diff(L)                               # time series of diffs
S <- window(ts.intersect(L,D), start=1909) # select same sample as Hansen's


###################################################
### chunk number 14: 
###################################################
#line 220 "d:/Rcompile/CRANpkg/local/2.12/CADFtest/inst/doc/CADFtest.Rnw"
ADFt <- CADFtest(L.gnpperca ~ 1, data = S, max.lag.y = 3)


###################################################
### chunk number 15: 
###################################################
#line 228 "d:/Rcompile/CRANpkg/local/2.12/CADFtest/inst/doc/CADFtest.Rnw"
CADFtest(L.gnpperca ~ 1, data = S, max.lag.y = 4, criterion = "BIC", dname = "Extended Nelson-Plosser data")


###################################################
### chunk number 16: 
###################################################
#line 234 "d:/Rcompile/CRANpkg/local/2.12/CADFtest/inst/doc/CADFtest.Rnw"
ADFt2 <- update(ADFt, change=list("max.lag.y = 4", "criterion = 'BIC'", "dname = 'Extended Nelson-Plosser data'"))


###################################################
### chunk number 17: 
###################################################
#line 242 "d:/Rcompile/CRANpkg/local/2.12/CADFtest/inst/doc/CADFtest.Rnw"
ADFt <- CADFtest(L.gnpperca ~ 1, data = S, max.lag.y = 3)


###################################################
### chunk number 18: 
###################################################
#line 248 "d:/Rcompile/CRANpkg/local/2.12/CADFtest/inst/doc/CADFtest.Rnw"
CADFt <- update(ADFt, change=list("+ D.unemrate", "kernel = 'Parzen'", "prewhite = FALSE"))
print(CADFt)


###################################################
### chunk number 19: 
###################################################
#line 257 "d:/Rcompile/CRANpkg/local/2.12/CADFtest/inst/doc/CADFtest.Rnw"
CADFt <- update(CADFt, change=list("max.lag.X = 3", "min.lag.X = -3", "criterion = 'BIC'"))
print(CADFt)


###################################################
### chunk number 20: 
###################################################
#line 264 "d:/Rcompile/CRANpkg/local/2.12/CADFtest/inst/doc/CADFtest.Rnw"
CADFt <- CADFtest(L.gnpperca ~ D.unemrate, data = S, max.lag.y = 3, max.lag.X = 3, min.lag.X = -3, criterion = "BIC", kernel = "Parzen", prewhite = FALSE)


###################################################
### chunk number 21: 
###################################################
#line 270 "d:/Rcompile/CRANpkg/local/2.12/CADFtest/inst/doc/CADFtest.Rnw"
CADFt <- CADFtest(L.gnpperca ~ D.unemrate + D.indprod, data = S, max.lag.y = 3, max.lag.X = 3, min.lag.X = -3, criterion = "BIC", kernel = "Parzen", prewhite = FALSE)


###################################################
### chunk number 22: 
###################################################
#line 332 "d:/Rcompile/CRANpkg/local/2.12/CADFtest/inst/doc/CADFtest.Rnw"
CADFpvalues(t0 = -2.2, rho2 = 0.53)
CADFpvalues(t0 = -1.7, rho2 = 0.20)


###################################################
### chunk number 23: 
###################################################
#line 341 "d:/Rcompile/CRANpkg/local/2.12/CADFtest/inst/doc/CADFtest.Rnw"
CADFpvalues(-0.44, type = "drift", rho2 = 1)


###################################################
### chunk number 24: 
###################################################
#line 358 "d:/Rcompile/CRANpkg/local/2.12/CADFtest/inst/doc/CADFtest.Rnw"
library("urca")
adf.urca <- ur.df(npext$gnpperca[-(1:49)], type = "trend", lags = 3)


###################################################
### chunk number 25: 
###################################################
#line 367 "d:/Rcompile/CRANpkg/local/2.12/CADFtest/inst/doc/CADFtest.Rnw"
library("tseries")
adf.tseries <- adf.test(npext$gnpperca[-(1:49)], k = 3)


###################################################
### chunk number 26: 
###################################################
#line 376 "d:/Rcompile/CRANpkg/local/2.12/CADFtest/inst/doc/CADFtest.Rnw"
library("fUnitRoots")
adf.fUnitRoots <- unitrootTest(npext$gnpperca, lags = 3, type = "ct")


